/**
	2004 bearbobo整理修改
*/

//判断是否是空
function isEmpty(pObj,errMsg){
	var obj = eval(pObj);
	if( obj == null || Trim(obj.value) == ""){
		if (errMsg == null || errMsg =="")
			alert("错误信息：输入为空！");
		else
			alert(errMsg); 
		obj.focus(); 
		return false;
	}
	return true;
}

//判断是否是数字
function isNumber(pObj,errMsg){
	var obj = eval(pObj);
	strRef = "-1234567890";
	//检查是否有非法字符
	for (i=0;i<obj.value.length;i++) {
		tempChar= obj.value.substring(i,i+1);
		if (strRef.indexOf(tempChar,0)==-1) {
			if (errMsg == null || errMsg =="")
				alert("错误信息：数字必须为整数！");
			else
				alert(errMsg);   
			if(obj.type=="text") 
				obj.focus(); 
			return false; 
		}
	}
	return true;
}

//判断是否是数字,数字可以为负数
function isNegative(pObj,errMsg){
	var obj = eval(pObj);
	strRef = "1234567890-";
	//检查是否有非法字符
	for (i=0;i<obj.value.length;i++) {
		tempChar= obj.value.substring(i,i+1);
		if (strRef.indexOf(tempChar,0)==-1) {
			if (errMsg == null || errMsg =="")
				alert("错误信息：数字含有非法字符！");
			else
				alert(errMsg);   
			if(obj.type=="text") 
				obj.focus(); 
			return false; 
		}
	}
	theMPosition=obj.value.indexOf("-");
	if(theMPosition!=-1 && theMPosition!=0){
		if (errMsg == null || errMsg =="")
			alert("错误信息：数字格式错误！");
		else
			alert(errMsg);   
		if(obj.type=="text") 
			obj.focus(); 
		return false; 
	}
	return true;
}

//判断是否是钱的形式，小数后只能是两位
function isMoney(pObj,errMsg){
	var obj = eval(pObj);
	strRef = "1234567890.-";
	//检查是否有非法字符
	for (i=0;i<obj.value.length;i++) {
		tempChar= obj.value.substring(i,i+1);
		if (strRef.indexOf(tempChar,0)==-1) {
			if (errMsg == null || errMsg =="")
				alert("错误信息：金钱含有非法字符！");
			else
				alert(errMsg);   
			if(obj.type=="text") 
				obj.focus(); 
			return false; 
		}
	}
	//检查是否有多个“.”
	theDotPosition=obj.value.indexOf(".");
	if(theDotPosition!=-1){
		tempStr=obj.value.substring(theDotPosition+1,obj.value.length);
		if(tempStr.indexOf(".")!=-1){
			if (errMsg == null || errMsg =="")
				alert("错误信息：金钱格式不对！");
			else
				alert(errMsg);   
			if(obj.type=="text") 
				obj.focus(); 
			return false; 
		}
		//检查小数点后位数
		else if(tempStr.length>2){
			if (errMsg == null || errMsg =="")
				alert("提醒信息：金钱小数后超过两位！");
			else
				alert(errMsg);   
//			if(obj.type=="text") 
//				obj.focus(); 
//			return false; 
		}
	}
	return true;
}

//判断是否是折扣的形式，只能0-1
function isDiscount(pObj,errMsg){
	var obj = eval(pObj);
	strRef = "1234567890.";
	//检查是否有非法字符
	for (i=0;i<obj.value.length;i++) {
		tempChar= obj.value.substring(i,i+1);
		if (strRef.indexOf(tempChar,0)==-1) {
			if (errMsg == null || errMsg =="")
				alert("错误信息：数据含有非法字符！");
			else
				alert(errMsg);   
			if(obj.type=="text") 
				obj.focus(); 
			return false; 
		}
	}
	//检查是否有多个“.”
	theDotPosition=obj.value.indexOf(".");
	if(theDotPosition!=-1){
		tempStr=obj.value.substring(theDotPosition+1,obj.value.length);
		if(tempStr.indexOf(".")!=-1){
			if (errMsg == null || errMsg =="")
				alert("错误信息：数据格式不对！");
			else
				alert(errMsg);   
			if(obj.type=="text") 
				obj.focus(); 
			return false; 
		}
	}
	//检查数据范围
	if(obj.value>1 || obj.value<0){
		 if (errMsg == null || errMsg =="")
			alert("错误信息：数据要在0-1之间！");
		 else
			alert(errMsg);   
		 if(obj.type=="text") 
			obj.focus(); 
		 return false; 
	} 	
	return true;
}

//判断是否是税率利率的形式
function isRate(pObj,errMsg){
	var obj = eval(pObj);
	strRef = "1234567890.";
	//检查是否有非法字符
	for (i=0;i<obj.value.length;i++) {
		tempChar= obj.value.substring(i,i+1);
		if (strRef.indexOf(tempChar,0)==-1) {
			if (errMsg == null || errMsg =="")
				alert("错误信息：数据含有非法字符！");
			else
				alert(errMsg);   
			if(obj.type=="text") 
				obj.focus(); 
			return false; 
		}
	}
	//检查是否有多个“.”
	theDotPosition=obj.value.indexOf(".");
	if(theDotPosition!=-1){
		tempStr=obj.value.substring(theDotPosition+1,obj.value.length);
		if(tempStr.indexOf(".")!=-1){
			if (errMsg == null || errMsg =="")
				alert("错误信息：数据格式不对！");
			else
				alert(errMsg);   
			if(obj.type=="text") 
				obj.focus(); 
			return false; 
		}
	}
	return true;
}
//判断是否是数字和字母
function isLN(pObj,errMsg){
	var obj = eval(pObj);
	strRef = "1234567890abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ-";
	//检查是否有非法字符
	for (i=0;i<obj.value.length;i++) {
		tempChar= obj.value.substring(i,i+1);
		if (strRef.indexOf(tempChar,0)==-1) {
			if (errMsg == null || errMsg =="")
				alert("错误信息：只能是数字、字母和“-”！");
			else
				alert(errMsg);   
			if(obj.type=="text") 
				obj.focus(); 
			return false; 
		}
	}
	return true;
}
